## quickbrownfox 1.3-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: quickbrownfox
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 16:38:22 2010
# Project:  quickbrownfox.pro
# Template: subdirs
# Command: /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile quickbrownfox.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /scratchbox/users/maemo/home/maemo/quickbrownfox/src/src.pro -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /scratchbox/users/maemo/home/maemo/quickbrownfox/src/src.pro -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: quickbrownfox.pro  /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile quickbrownfox.pro
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile quickbrownfox.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src-build-desktop/Makefile ===
#############################################################################
# Makefile for building: quickbrownfox
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 28 22:50:53 2010
# Project:  ../src/src.pro
# Template: app
# Command: /usr/local/bin/qmake -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../src -I/opt/qtsdk-2010.02/qt/include/QtCore -I/opt/qtsdk-2010.02/qt/include/QtGui -I/opt/qtsdk-2010.02/qt/include -I/opt/qtsdk-2010.02/qt/include/QtDBus -I. -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/opt/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/opt/qtsdk-2010.02/qt/lib -lQtDBus -L/opt/qtsdk-2010.02/qt/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qdbus.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = quickbrownfox
DESTDIR       = 
TARGET        = quickbrownfox

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /opt/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qdbus.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/opt/qtsdk-2010.02/qt/lib/libQtDBus.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtXml.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
/opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qdbus.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/opt/qtsdk-2010.02/qt/lib/libQtDBus.prl:
/opt/qtsdk-2010.02/qt/lib/libQtXml.prl:
/opt/qtsdk-2010.02/qt/lib/libQtCore.prl:
/opt/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/quickbrownfox1.0.0 || $(MKDIR) ../src/.tmp/quickbrownfox1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../src/.tmp/quickbrownfox1.0.0/ && $(COPY_FILE) --parents ../src/mainwindow.h ../src/.tmp/quickbrownfox1.0.0/ && $(COPY_FILE) --parents ../src/main.cpp ../src/mainwindow.cpp ../src/.tmp/quickbrownfox1.0.0/ && $(COPY_FILE) --parents ../src/mainwindow.ui ../src/.tmp/quickbrownfox1.0.0/ && (cd `dirname ../src/.tmp/quickbrownfox1.0.0` && $(TAR) quickbrownfox1.0.0.tar quickbrownfox1.0.0 && $(COMPRESS) quickbrownfox1.0.0.tar) && $(MOVE) `dirname ../src/.tmp/quickbrownfox1.0.0`/quickbrownfox1.0.0.tar.gz . && $(DEL_FILE) -r ../src/.tmp/quickbrownfox1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: ../src/mainwindow.h
	/opt/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../src/mainwindow.h -o moc_mainwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: ../src/mainwindow.ui
	/opt/qtsdk-2010.02/qt/bin/uic ../src/mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: ../src/main.cpp ../src/mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../src/main.cpp

mainwindow.o: ../src/mainwindow.cpp ../src/mainwindow.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../src/mainwindow.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /scratchbox/users/maemo/home/maemo/quickbrownfox/src/quickbrownfox.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/quickbrownfox.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon26: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
	-$(INSTALL_FILE) /scratchbox/users/maemo/home/maemo/quickbrownfox/data/26x26/quickbrownfox.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/


uninstall_icon26:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/quickbrownfox.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 


install_icon40: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ 
	-$(INSTALL_FILE) /scratchbox/users/maemo/home/maemo/quickbrownfox/data/40x40/quickbrownfox.png $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/


uninstall_icon40:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/quickbrownfox.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /scratchbox/users/maemo/home/maemo/quickbrownfox/data/64x64/quickbrownfox.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/quickbrownfox.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install:  install_target install_desktop install_icon26 install_icon40 install_icon64  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_icon26 uninstall_icon40 uninstall_icon64   FORCE

FORCE:

=== src-build-maemo/Makefile ===
#############################################################################
# Makefile for building: quickbrownfox
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 28 23:10:41 2010
# Project:  ../src/src.pro
# Template: app
# Command: /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../src -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtDBus -I. -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = quickbrownfox
DESTDIR       = 
TARGET        = quickbrownfox

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtDBus.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtXml.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtCore.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtGui.prl
	$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile ../src/src.pro
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qdbus.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:

=== src/Makefile ===
#############################################################################
# Makefile for building: quickbrownfox
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 16:38:22 2010
# Project:  src.pro
# Template: app
# Command: /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtXml -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtDBus -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtMaemo5 -I/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/maemo/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = quickbrownfox
DESTDIR       = 
TARGET        = quickbrownfox

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtMaemo5.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtDBus.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtXml.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtCore.prl \
		/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtGui.prl
	$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile src.pro
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf:
/scratchbox/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/home/maemo/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtMaemo5.prl:

=== debian/changelog ===
quickbrownfox (1.3-maemo0) unstable; urgency=low

  * PR1.2 compatibility
  * Native file chooser
  * AutoRotate

 -- Attila Csipa <maemo@csipa.in.rs>  Fri, 28 May 2010 23:15:44 +0100

=== debian/control ===
Source: quickbrownfox
Section: user/graphics
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.0
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=1234&atid=4632
Homepage: downloads.maemo.org

Package: quickbrownfox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View fonts
  Allows to quickly take a look at fonts, either installed on
  the system or simply stored in a directory. Toggle size and
  style in a Maemo friendly way. For designers and font geeks.
XB-Maemo-Display-Name: Quick Brown Fox
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
  NwWK6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAASAAAAEgARslrPgAA
  AAl2cEFnAAAAMAAAADAAzu6MVwAACG1JREFUaN7VWl1ME10afs7MtOXfH+Qn
  qYQExBD8QZMFUVSIRromeAFx44Ux2USzF14a8yV+3pJ4sVlvjNFsXLnQGPXC
  GLMhkSCgwdIgoLQsUKTYFiKUUKS0hen87sX3dTJMp9Pionx7kpOZnjl9z/Oe
  93l/zrTA/3kj2oH6+noQQhhRFEsA7NhygIQQiqKiPM/7d+3atTo6Ogqfz6c8
  Z9STT58+DY7jMnNycv5WWlp6OS8vr1hPyZ/ZZFnGwsJC2O/3/3t2dvbvtbW1
  M2oFFHCnTp1CXl4eIpHIX86cOfPPCxcubN+xY4ciJJ2FNjKe7jNCCObm5vDg
  wQPRbrffczqdv27fvj08Pz+/3gKyLMPhcJhPnjz5Z5vNtr20tDRB2GZf052z
  Z88e2Gw2+uPHj005OTn/ys/P/5SggCiKIITQDMPkZWdnK0J+FPh0lZNlGYIg
  YNu2bSCEZEuSlGcymZQ5lFoBURQh/9a2BLQeeO1nWZYhSVKiAuoJ6Zh4s+il
  lWNEMT2fSVBArV26O7TZO51MfhybGqPiA5IkKX0r6WN01WOIYgFJkuI+8IcA
  qwdekqTkCuhp9zPApbtOsrF1Foh3rTI/K9psdF6CBeLg9ZqRcELIpkYb7Xy1
  E6dNIaNooBawurqKUCi0oR1MJT/Z/A1RKB3wa2trePbsGdra2jA5OQmKogyj
  h/az0YbpYYhj001kGwEvyzIIIfB6vZiYmIDP50NXV9cP9xVtiE+gkDoPJONm
  /CqKIlwuF6LRKLKzszE4OIjFxUUQQlJy+n9RwjAPaJ0k2ZUQgqWlJYyPj4Pn
  eVAUhYWFBQwPD+s6dDKLEkJAURQIIYriydbVUknXAhsJnRMTE/B4PPD5fOB5
  HoQQvH37FrFYTBe8+p6iKIiiiGAwCK/XC5/Ph2AwGK+IdS2WzAKMdmI6tRDL
  shgZGUEgEABN02BZFgzDwOl0wuv1oqKiAqIo6u4iIQR+vx/v37+H0+lEIBAA
  RVHIyMhAVVUVWltbkZ+fnxDS0/IBramT0Wd2dhZjY2OgKAoXL14EwzCQJAnL
  y8uw2+0Ju6UG7/F48OTJE3R2dsLpdCIjIwNra2vw+/148eIF7t+/D5ZldXc9
  ZR5Ipoh2zOVywe/3o6KiAk1NTSgrKwPLspBlGe/evUMoFNL1BVEU0d/fj0Ag
  AI7jcPDgQdy6dQvXr19Hbm4uAKC3txdut3tdSE6GMcGJU1mAEILl5WUMDw8j
  HA6joaEBRUVFOHbsGCRJAiEE4+PjGB0dBUVRCYsBvyW+YDCIYDAIs9mMzMxM
  VFZWori4GBzHYWVlBTMzM7oWMIxCWh/QU4IQgs+fP2N6ehpmsxlmsxlDQ0MA
  ALPZDEEQEA6H0dPTA0EQEnaPoig0NjaipKQE1dXVaG5uxrdv32C32zE3NwdB
  ECAIAnie1y1p9Px03XkgGfB44zgOQ0NDCl3u3r0LnufBcRyi0aiyO319fbh0
  6RKsVmtC+KuoqMC1a9cwNjaGDx8+4N69e3C73YjFYiCEKM6vxwY9H9CNQnqh
  i6IofP36FS6XC4FAACUlJTCZTMr8WCyGqakpSJIEj8eDgYEBtLa2JlDQ5/Ph
  +fPn+PTpE/x+PzIzM1FXVwe32w2/369YzqioU7ekFtDLCyMjI/B6vSgvL0db
  Wxtyc3OV77Esixs3bqCnpwcsy6KzsxM2mw0Wi0UBHw6H8fTpUyVr79+/H1eu
  XEFZWRlu3ryJyclJyLIMk8mUlPuGtZDWAmruh8NhDA4OYmVlBbW1tSgqKkJm
  Ziays7ORlZWFgoICNDY2QpZliKIIh8MBj8ejOHM8/sezt8lkwuXLl3H48GEw
  DAOWZcFxHCRJUr6jbYZ5QEslNXhJkjAwMICpqSlQFIV9+/aBYZgE09bV1aGw
  sBA8z2N2dhYdHR1KlgaASCSC1dVVcBwHhmGQlZUFSZIwNTWFmZkZ8DwPQRCU
  iKZlgl4YNXRiAHC5XHA4HIrzWiwWvHr1CtPT02hsbITVagXP8+ju7obdbkc4
  HFZ4/PDhQwSDQTQ3N+Po0aMoKCgATdPgeR6xWAx37txBcXEx+vr64Ha7IQgC
  OI7D48eP4ff70dLSgp07dyb4QdpOLMsy3rx5g5cvX4IQooS5rq4udHR0ICsr
  C62treA4Do8ePcLr169BCIHFYgEAhEIhtLe3Y2lpCdXV1SgpKcHZs2fR3t6O
  SCSC3t5ecByH3bt3o6WlBd3d3Zibm0NPTw++fPmCI0eOKAqoM3FaYTR+tdls
  KCoqSqiRaJrGoUOHIIoiLBYLrl69iqampgTeyrIMq9UKhmFAURTOnz8Pq9WK
  /v5+RKNRWK1W1NXVoby8HOfOnYPD4QBN0zhw4ABKS0t1fdKQQlqglZWVqKys
  1I1Q8RKcEIKamhrU1NQk+EVcZrwzDIOGhgYcP34coiiCpmllzokTJ1BfX69E
  Le17KsM8oC0l4j3+rkjLQ61C6uoz1XkgLpOiqHXrqtfSe8FgWAvppWk9OiQT
  mu69HpBUpzC1BZJSyKj20ANvVPQZlePfe5RUy056IjMSsJEd3SzwWjoangeM
  yunN3NHNOMzrUkhdBRp9KZVDf6/S30PHlBb4I4A3ssQ6BYyiix7IVPcbpUmq
  8ZRRSP3Q6OXUj4o2G7A6MQqjYiQSiYZCITAMA0EQFIX0wqx6PH6fzlyj+dpx
  mqZhNpuxuLgInucFAKI6jNLqRQoKCsT5+fk8URTPVFVVmS0Wi/LrpbocSPZb
  gjrUJaNV/C2ctlMUldBpmgZN05iensbt27fh8Xg+AHgGYEmRh8SWl5GR8cve
  vXv/WlhYmI8t/quBJEnwer2c1+v9jyRJ/wDwCgBnpAAA5AD4E4A90PyfYosa
  C2D0986qH6Szu1tqgd+bnOzBfwEuNW4v+Akj3wAAACV0RVh0Y3JlYXRlLWRh
  dGUAMjAxMC0wMS0xMVQwMzoyMzo0OSswMTowMECR3MAAAAAldEVYdG1vZGlm
  eS1kYXRlADIwMDgtMTEtMTBUMTg6NDM6MzYrMDE6MDCY4SGRAAAAGXRFWHRT
  b2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := quickbrownfox
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	dh_install -X.svn


	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
